IRCDWATCH(8)

NAME
ircdwatch - Daemon for monitoring ircd and ircd.conf

SYNOPSIS

ircdwatch
    [ --kill ] [ --rest ] [ --help ]

DESCRIPTION

ircdwatch is a daemon that periodically checks that the ircd daemon is running, restarting it of necessary. This daemon can also be configured (at compile time) to check for changes to the ircd configuration file and make ircd reload its configuration file by sending it a SIGHUP signal.

Given command line arguments ircdwatch will serve as a remote control for stopping both ircdwatch and ircd or just ircdwatch.

OPTIONS

--kill
    Stop both ircd and ircdwatch

--rest
    Stop ircdwatch but leave ircd running

--help
    List command line arguments

COPYRIGHT
Copyright (C) 1998 Bjorn Borud, <borud@guardian.no>

FILES
 "ircd.conf"
 "ircd.pid"
 "ircdwatch.pid"

SEE ALSO
ircd(8)

BUGS
There may be some portability issues. Report bugs to <ircd-users@irc.org>

AUTHOR
Bjorn Borud, <borud@guardian.no>